#!/bin/bash
PRODUCTNAME="blfext"
TMPDIR="/tmp/blfext"
INSTALLDIR="/usr/share"
IPCDIR="/etc/ipconnect"
OLDVERSION=-1
NEWVERSION=-1
MAJORVERSION=5

mkdir -p "$TMPDIR"
mkdir -p "$IPCDIR"

echo "* Backuping some files"
if [ -e "$INSTALLDIR/$PRODUCTNAME/conf.ini" ]
then
	mv "$INSTALLDIR/$PRODUCTNAME/conf.ini" "$TMPDIR/conf.ini.old"
fi
if [ -e "$INSTALLDIR/$PRODUCTNAME/pbx.ini" ]
then
	mv "$INSTALLDIR/$PRODUCTNAME/pbx.ini" "$TMPDIR/pbx.ini.old"
fi

systemctl stop $PRODUCTNAME

rm -rf "$TMPDIR"