#!/bin/bash
PRODUCTNAME="blfext"
TMPDIR="/tmp/blfext"
INSTALLDIR="/usr/share"
IPCDIR="/etc/ipconnect"

mkdir -p "$TMPDIR"
mkdir -p "$IPCDIR"

echo "-- Removing $PRODUCTNAME"

systemctl disable blfext
systemctl daemon-reload
rm -f "/etc/systemd/system/blfext.service"

rm -rf "$INSTALLDIR/$PRODUCTNAME"
rm -rf "$IPCDIR/$PRODUCTNAME.ver"

rm -rf /etc/asterisk/ombutel/manager__90-blfext.conf
rm -rf /etc/asterisk/ombutel/extensions__70-blfext.conf
asterisk -rx "manager reload"
asterisk -rx "dialplan reload"


rm -rf "$TMPDIR"
exit
